libabw::ABWContentCollector Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libabw::ABWContentCollector Class Reference

`#include <ABWContentCollector.h>`

Inheritance diagram for libabw::ABWContentCollector:

## Public Member Functions
| ABWContentCollector (librevenge::RVNGTextInterface *iface, const std::map< int, int > &tableSizes, const std::map< std::string, ABWData > &data, const std::map< int, ABWListElement * > &listElements)
virtual | ~ABWContentCollector ()
void | collectTextStyle (const char *name, const char *basedon, const char *followedby, const char *props)
void | collectDocumentProperties (const char *props)
void | collectParagraphProperties (const char *level, const char *listid, const char *parentid, const char *style, const char *props)
void | collectSectionProperties (const char *footer, const char *footerLeft, const char *footerFirst, const char *footerLast, const char *header, const char *headerLeft, const char *headerFirst, const char *headerLast, const char *props)
void | collectCharacterProperties (const char *style, const char *props)
void | collectPageSize (const char *width, const char *height, const char *units, const char *pageScale)
void | closeParagraphOrListElement ()
void | closeSpan ()
void | openLink (const char *href)
void | closeLink ()
void | openFoot (const char *id)
void | closeFoot ()
void | openEndnote (const char *id)
void | closeEndnote ()
void | endSection ()
void | startDocument ()
void | endDocument ()
void | insertLineBreak ()
void | insertColumnBreak ()
void | insertPageBreak ()
void | insertText (const char *text)
void | insertImage (const char *dataid, const char *props)
void | collectList (const char *, const char *, const char *, const char *, const char *, const char *)
void | collectData (const char *name, const char *mimeType, const librevenge::RVNGBinaryData &data)
void | collectHeaderFooter (const char *id, const char *type)
void | openTable (const char *props)
void | closeTable ()
void | openCell (const char *props)
void | closeCell ()
void | addMetadataEntry (const char *name, const char *value)
Public Member Functions inherited from libabw::ABWCollector
| ABWCollector ()
virtual | ~ABWCollector ()

## Private Member Functions
| ABWContentCollector (const ABWContentCollector &)
ABWContentCollector & | operator= (const ABWContentCollector &)
void | _setMetadata ()
void | _openPageSpan ()
void | _closePageSpan ()
void | _openSection ()
void | _closeSection ()
void | _openParagraph ()
void | _closeParagraph ()
void | _openListElement ()
void | _closeListElement ()
void | _handleListChange ()
void | _changeList ()
void | _recurseListLevels (int oldLevel, int newLevel, int listId)
void | _writeOutDummyListLevels (int oldLevel, int newLevel)
void | _openSpan ()
void | _closeSpan ()
void | _openTable ()
void | _closeTable ()
void | _openTableRow ()
void | _closeTableRow ()
void | _openTableCell ()
void | _closeTableCell ()
void | _openHeader ()
void | _closeHeader ()
void | _openFooter ()
void | _closeFooter ()
void | _recurseTextProperties (const char *name, ABWPropertyMap &styleProps)
std::string | _findDocumentProperty (const char *name)
std::string | _findParagraphProperty (const char *name)
std::string | _findCharacterProperty (const char *name)
std::string | _findTableProperty (const char *name)
std::string | _findCellProperty (const char *name)
std::string | _findSectionProperty (const char *name)
std::string | _findMetadataEntry (const char *name)
void | _fillParagraphProperties (librevenge::RVNGPropertyList &propList, bool isListElement)

## Private Attributes
ABWContentParsingState * | m_ps
librevenge::RVNGTextInterface * | m_iface
std::stack< ABWContentParsingState * > | m_parsingStates
std::set< std::string > | m_dontLoop
std::map< std::string, ABWStyle > | m_textStyles
ABWPropertyMap | m_documentStyle
ABWPropertyMap | m_metadata
const std::map< std::string, ABWData > & | m_data
const std::map< int, int > & | m_tableSizes
int | m_tableCounter
ABWOutputElements | m_outputElements
const std::map< int, ABWListElement * > & | m_listElements
std::vector< ABWListElement * > | m_dummyListElements

## Constructor & Destructor Documentation

libabw::ABWContentCollector::ABWContentCollector | ( | librevenge::RVNGTextInterface * | iface,
|  | const std::map< int, int > & | tableSizes,
|  | const std::map< std::string, ABWData > & | data,
|  | const std::map< int, ABWListElement * > & | listElements
| ) |  |

libabw::ABWContentCollector::~ABWContentCollector | ( |  | ) |
| virtual

libabw::ABWContentCollector::ABWContentCollector | ( | const ABWContentCollector & |  | ) |
| private

## Member Function Documentation

void libabw::ABWContentCollector::_changeList | ( |  | ) |
| private

void libabw::ABWContentCollector::_closeFooter | ( |  | ) |
| private

void libabw::ABWContentCollector::_closeHeader | ( |  | ) |
| private

void libabw::ABWContentCollector::_closeListElement | ( |  | ) |
| private

void libabw::ABWContentCollector::_closePageSpan | ( |  | ) |
| private

void libabw::ABWContentCollector::_closeParagraph | ( |  | ) |
| private

void libabw::ABWContentCollector::_closeSection | ( |  | ) |
| private

void libabw::ABWContentCollector::_closeSpan | ( |  | ) |
| private

void libabw::ABWContentCollector::_closeTable | ( |  | ) |
| private

void libabw::ABWContentCollector::_closeTableCell | ( |  | ) |
| private

void libabw::ABWContentCollector::_closeTableRow | ( |  | ) |
| private

void libabw::ABWContentCollector::_fillParagraphProperties | ( | librevenge::RVNGPropertyList & | propList,
|  | bool | isListElement
| ) |  |
| private

std::string libabw::ABWContentCollector::_findCellProperty | ( | const char * | name | ) |
| private

std::string libabw::ABWContentCollector::_findCharacterProperty | ( | const char * | name | ) |
| private

std::string libabw::ABWContentCollector::_findDocumentProperty | ( | const char * | name | ) |
| private

std::string libabw::ABWContentCollector::_findMetadataEntry | ( | const char * | name | ) |
| private

std::string libabw::ABWContentCollector::_findParagraphProperty | ( | const char * | name | ) |
| private

std::string libabw::ABWContentCollector::_findSectionProperty | ( | const char * | name | ) |
| private

std::string libabw::ABWContentCollector::_findTableProperty | ( | const char * | name | ) |
| private

void libabw::ABWContentCollector::_handleListChange | ( |  | ) |
| private

void libabw::ABWContentCollector::_openFooter | ( |  | ) |
| private

void libabw::ABWContentCollector::_openHeader | ( |  | ) |
| private

void libabw::ABWContentCollector::_openListElement | ( |  | ) |
| private

void libabw::ABWContentCollector::_openPageSpan | ( |  | ) |
| private

void libabw::ABWContentCollector::_openParagraph | ( |  | ) |
| private

void libabw::ABWContentCollector::_openSection | ( |  | ) |
| private

void libabw::ABWContentCollector::_openSpan | ( |  | ) |
| private

void libabw::ABWContentCollector::_openTable | ( |  | ) |
| private

void libabw::ABWContentCollector::_openTableCell | ( |  | ) |
| private

void libabw::ABWContentCollector::_openTableRow | ( |  | ) |
| private

void libabw::ABWContentCollector::_recurseListLevels | ( | int | oldLevel,
|  | int | newLevel,
|  | int | listId
| ) |  |
| private

void libabw::ABWContentCollector::_recurseTextProperties | ( | const char * | name,
|  | ABWPropertyMap & | styleProps
| ) |  |
| private

void libabw::ABWContentCollector::_setMetadata | ( |  | ) |
| private

void libabw::ABWContentCollector::_writeOutDummyListLevels | ( | int | oldLevel,
|  | int | newLevel
| ) |  |
| private

void libabw::ABWContentCollector::addMetadataEntry | ( | const char * | name,
|  | const char * | value
| ) |  |
| virtual

Implements libabw::ABWCollector.

void libabw::ABWContentCollector::closeCell | ( |  | ) |
| virtual

Implements libabw::ABWCollector.

void libabw::ABWContentCollector::closeEndnote | ( |  | ) |
| virtual

Implements libabw::ABWCollector.

void libabw::ABWContentCollector::closeFoot | ( |  | ) |
| virtual

Implements libabw::ABWCollector.

void libabw::ABWContentCollector::closeLink | ( |  | ) |
| virtual

Implements libabw::ABWCollector.

void libabw::ABWContentCollector::closeParagraphOrListElement | ( |  | ) |
| virtual

Implements libabw::ABWCollector.

void libabw::ABWContentCollector::closeSpan | ( |  | ) |
| virtual

Implements libabw::ABWCollector.

void libabw::ABWContentCollector::closeTable | ( |  | ) |
| virtual

Implements libabw::ABWCollector.

void libabw::ABWContentCollector::collectCharacterProperties | ( | const char * | style,
|  | const char * | props
| ) |  |
| virtual

Implements libabw::ABWCollector.

void libabw::ABWContentCollector::collectData | ( | const char * | name,
|  | const char * | mimeType,
|  | const librevenge::RVNGBinaryData & | data
| ) |  |
| virtual

Implements libabw::ABWCollector.

void libabw::ABWContentCollector::collectDocumentProperties | ( | const char * | props | ) |
| virtual

Implements libabw::ABWCollector.

void libabw::ABWContentCollector::collectHeaderFooter | ( | const char * | id,
|  | const char * | type
| ) |  |
| virtual

Implements libabw::ABWCollector.

void libabw::ABWContentCollector::collectList | ( | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * |
| ) |  |
| inlinevirtual

Implements libabw::ABWCollector.

void libabw::ABWContentCollector::collectPageSize | ( | const char * | width,
|  | const char * | height,
|  | const char * | units,
|  | const char * | pageScale
| ) |  |
| virtual

Implements libabw::ABWCollector.

void libabw::ABWContentCollector::collectParagraphProperties | ( | const char * | level,
|  | const char * | listid,
|  | const char * | parentid,
|  | const char * | style,
|  | const char * | props
| ) |  |
| virtual

Implements libabw::ABWCollector.

void libabw::ABWContentCollector::collectSectionProperties | ( | const char * | footer,
|  | const char * | footerLeft,
|  | const char * | footerFirst,
|  | const char * | footerLast,
|  | const char * | header,
|  | const char * | headerLeft,
|  | const char * | headerFirst,
|  | const char * | headerLast,
|  | const char * | props
| ) |  |
| virtual

Implements libabw::ABWCollector.

void libabw::ABWContentCollector::collectTextStyle | ( | const char * | name,
|  | const char * | basedon,
|  | const char * | followedby,
|  | const char * | props
| ) |  |
| virtual

Implements libabw::ABWCollector.

void libabw::ABWContentCollector::endDocument | ( |  | ) |
| virtual

Implements libabw::ABWCollector.

void libabw::ABWContentCollector::endSection | ( |  | ) |
| virtual

Implements libabw::ABWCollector.

void libabw::ABWContentCollector::insertColumnBreak | ( |  | ) |
| virtual

Implements libabw::ABWCollector.

void libabw::ABWContentCollector::insertImage | ( | const char * | dataid,
|  | const char * | props
| ) |  |
| virtual

Implements libabw::ABWCollector.

void libabw::ABWContentCollector::insertLineBreak | ( |  | ) |
| virtual

Implements libabw::ABWCollector.

void libabw::ABWContentCollector::insertPageBreak | ( |  | ) |
| virtual

Implements libabw::ABWCollector.

void libabw::ABWContentCollector::insertText | ( | const char * | text | ) |
| virtual

Implements libabw::ABWCollector.

void libabw::ABWContentCollector::openCell | ( | const char * | props | ) |
| virtual

Implements libabw::ABWCollector.

void libabw::ABWContentCollector::openEndnote | ( | const char * | id | ) |
| virtual

Implements libabw::ABWCollector.

void libabw::ABWContentCollector::openFoot | ( | const char * | id | ) |
| virtual

Implements libabw::ABWCollector.

void libabw::ABWContentCollector::openLink | ( | const char * | href | ) |
| virtual

Implements libabw::ABWCollector.

void libabw::ABWContentCollector::openTable | ( | const char * | props | ) |
| virtual

Implements libabw::ABWCollector.

ABWContentCollector& libabw::ABWContentCollector::operator= | ( | const ABWContentCollector & |  | ) |
| private

void libabw::ABWContentCollector::startDocument | ( |  | ) |
| virtual

Implements libabw::ABWCollector.

## Member Data Documentation

const std::map<std::string, ABWData>& libabw::ABWContentCollector::m_data
| private

ABWPropertyMap libabw::ABWContentCollector::m_documentStyle
| private

std::set<std::string> libabw::ABWContentCollector::m_dontLoop
| private

std::vector<ABWListElement *> libabw::ABWContentCollector::m_dummyListElements
| private

librevenge::RVNGTextInterface* libabw::ABWContentCollector::m_iface
| private

const std::map<int, ABWListElement *>& libabw::ABWContentCollector::m_listElements
| private

ABWPropertyMap libabw::ABWContentCollector::m_metadata
| private

ABWOutputElements libabw::ABWContentCollector::m_outputElements
| private

std::stack<ABWContentParsingState *> libabw::ABWContentCollector::m_parsingStates
| private

ABWContentParsingState* libabw::ABWContentCollector::m_ps
| private

int libabw::ABWContentCollector::m_tableCounter
| private

const std::map<int, int>& libabw::ABWContentCollector::m_tableSizes
| private

std::map<std::string, ABWStyle> libabw::ABWContentCollector::m_textStyles
| private

The documentation for this class was generated from the following files:

- ABWContentCollector.h
- ABWContentCollector.cpp